﻿using System.ComponentModel.DataAnnotations;

namespace PeacePDS.Models.Entities
{
    public class User
    {
        public int Id { get; set; }

        [Required, MaxLength(100)]
        public string Name { get; set; }

        [Required, MaxLength(255)]
        public string HashedPassword { get; set; }

        [Required]
        public DateTime CreatedAt { get; set; } = DateTime.Now;

        // Navigation Props
        public ICollection<UserPolicy> UserPolicies { get; set; }
        public ICollection<Affirmation> Affirmations { get; set; }
        public ICollection<HabitTracker> HabitTrackers { get; set; }
        public ICollection<DailyTask> DailyTasks { get; set; }
        public ICollection<DailyEntry> DailyEntries { get; set; }
    }
}
